Page MenuHomePhabricator

Fetching the patrol token for earlier versions
Closed, ResolvedPublic

Description

The patrol token is not being loaded correctly for earlier versions.

Since patrol was added in v1.14, until v1.16, the patrol token was the same as the edit token.

For 1.17-19, the patrol token must be obtained from the query list recentchanges.

https://en.wikipedia.org/w/api.php?action=query&list=recentchanges&rctoken=patrol&rclimit=1

Event Timeline

jayvdb created this task.Jan 3 2015, 12:22 PM
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added a project: Pywikibot.
jayvdb added a subscriber: jayvdb.

The dependency on T85725 is very soft. This could be fixed before it , but we wouldnt have a reliable way to determine if the site has patrol enabled, which would be nice to have so that tests can easily be disabled.

Documentation for getting the token at https://www.mediawiki.org/wiki/API:Patrol

When logged out, rctoken=patrol includes a warning we can use to confirm the user doesnt have patrol rights (or, maybe, the site doesnt support patrol)

{
    "warnings": {
        "recentchanges": {
            "*": "Action 'patrol' is not allowed for the current user"
        }
    },
...
}

http://wiki.kerbalspaceprogram.com/w/api.php?action=query&list=recentchanges&rctoken=patrol

Mpaa added a subscriber: Mpaa.EditedJan 4 2015, 8:30 AM

I also see it on wikisource, when I am (presumably) logged in, according to the pop-up I get.
http://en.wikisource.org/w/api.php?action=query&list=recentchanges&rctoken=patrol

Sorry, when logged in pywikibot is OK.

Change 182690 had a related patch set uploaded (by Mpaa):
Fetch patrol token for MW < 1.20

https://gerrit.wikimedia.org/r/182690

Patch-For-Review

Change 182690 merged by jenkins-bot:
Fetch patrol token for MW < 1.20

https://gerrit.wikimedia.org/r/182690

Mpaa renamed this task from fetching the patrol token to Fetching the patrol token for earlier versions.Jan 9 2015, 8:15 PM
Mpaa closed this task as Resolved.
Mpaa claimed this task.
Mpaa set Security to None.